petsc-3.4.2 2013-07-02

# PetscOptionsView

Prints the options that have been loaded. This is useful for debugging purposes.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsView(PetscViewer viewer)

Logically Collective on PetscViewer

### Input Parameter

viewer - must be an PETSCVIEWERASCII viewer

### Options Database Key

-options_table - Activates PetscOptionsView() within PetscFinalize()

### See Also

PetscOptionsAllUsed()

Level:advanced
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex9.c.html
src/sys/examples/tutorials/ex10f90.F90.html